#! /usr/bin/env bash

set -a
source .env

usage() {
    echo "usage: ./run-compose.sh [<rebuild>]"
    echo "    rebuild - will force docker-compose to rebuild the images before spinning them up."
}

if [[ -z "${DATA_DIR}" ]]; then
    DATA_DIR=$(pwd)
fi

while [ -n "$1" ]; do
    case $1 in
    rebuild)
        EXTRA_ARGS="--build"
        ;;
    *)
        usage
        exit 0
        ;;
    esac
    shift
done

docker-compose -f docker/docker-compose.yaml up $EXTRA_ARGS